# Customers

Create, update, and retrieve customer records to keep data consistent across payments and billing.

 - [POST /customers/create](https://api-docs.solidgate.com/api/v2/products/solidgate/customers/create-customer.md): Creates a new <a href="https://docs.solidgate.com/billing/manage-customers/customers/" target="_blank">customer</a>.
 - [POST /customers/patch](https://api-docs.solidgate.com/api/v2/products/solidgate/customers/patch-customer.md): Updates specified <a href="https://docs.solidgate.com/billing/manage-customers/customers/" target="_blank">customer</a> fields.
 - [POST /customers/get](https://api-docs.solidgate.com/api/v2/products/solidgate/customers/get-customer.md): Returns the <a href="https://docs.solidgate.com/billing/manage-customers/customers/" target="_blank">customer</a> for the provided identifier.
 - [POST /customers/list](https://api-docs.solidgate.com/api/v2/products/solidgate/customers/list-customers.md): Returns a paginated list of <a href="https://docs.solidgate.com/billing/manage-customers/customers/" target="_blank">customers</a>.
 - [POST CustomerCreated](https://api-docs.solidgate.com/api/v2/products/solidgate/customers/on-customer-created.md): Webhook sent when a new customer is created.
 - [POST CustomerUpdated](https://api-docs.solidgate.com/api/v2/products/solidgate/customers/on-customer-updated.md): Webhook sent when a customer is updated.
